package com.fs.watch.service;

import com.fs.watch.domain.DeviceMaterials;
import com.fs.watch.domain.vo.DeviceMaterialsVo;

import java.util.List;

public interface DeviceMaterialsService {
    /**
     * 查询设备物料信息
     *
     * @param id 设备物料信息主键
     * @return 设备物料信息
     */
    public DeviceMaterials selectDeviceMaterialsById(Long id);

    /**
     * 查询设备物料信息列表
     *
     * @param deviceMaterials 设备物料信息
     * @return 设备物料信息集合
     */
    public List<DeviceMaterialsVo> selectDeviceMaterialsList(DeviceMaterials deviceMaterials);

    /**
     * 新增设备物料信息
     *
     * @param deviceMaterials 设备物料信息
     * @return 结果
     */
    public int insertDeviceMaterials(DeviceMaterials deviceMaterials);

    /**
     * 修改设备物料信息
     *
     * @param deviceMaterials 设备物料信息
     * @return 结果
     */
    public int updateDeviceMaterials(DeviceMaterials deviceMaterials);

    /**
     * 批量删除设备物料信息
     *
     * @param ids 需要删除的设备物料信息主键集合
     * @return 结果
     */
    public int deleteDeviceMaterialsByIds(Long[] ids);

    /**
     * 删除设备物料信息信息
     *
     * @param id 设备物料信息主键
     * @return 结果
     */
    public int deleteDeviceMaterialsById(Long id);

    Boolean updateCount(String deviceId, int type,String updateTime);
}
